# 8. Mutation: Generér "RasterMap"

Generer "RasterMap" for "Marken".

{% hint style="info" %}
Udførelsestiden varierer (fra 4 sekunder til 5 minutter), det afhænger af antal billeder og markens areal, og abonnementet vil blive modtaget efter vellykket generering af "RasterMap".
{% endhint %}

{% hint style="danger" %}
Vi anbefaler at bruge **asynkron** tilgang til at generere RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    navn
    centroid {
      breddegrad
      længdegrad
    }
    afgrænsningsboks
    geoMaps {
      kortNavn
      fuldtNavn
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/8.-mutation-generer-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
